com.groupdocs.conversion.converter.option

## Class SaveOptions

- java.lang.Object
- - com.groupdocs.conversion.converter.option.SaveOptions

- All Implemented Interfaces:
    com.aspose.ms.System.ICloneable, Cloneable
  Direct Known Subclasses:
    CellsSaveOptions, HtmlSaveOptions, ImageSaveOptions, PdfSaveOptions, SlidesSaveOptions, WordsSaveOptions

      public abstract class SaveOptions
      extends Object
      implements com.aspose.ms.System.ICloneable, Cloneable

  General conversion options class

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SaveOptions(int saveOptionsType)` Create SaveOptions instance

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `deepClone()` Clone current instance
    `com.groupdocs.foundation.domain.FileType` | `getConvertFileType()` The desired file type to which the input document should be converted to
    `String` | `getCustomName()` If set it will be used as a name of the cached file
    `boolean` | `getHideWordComments()` Hide comments in Word documents
    `boolean` | `getHideWordTrackedChanges()` Hide markup and track changes for Word documents
    `int` | `getNumPagesToConvert()` Number of pages to convert
    `int` | `getOutputType()` Result type of the conversion - String or Stream default: Stream
    `boolean` | `getPageMode()` If true the conversion result will be set of streams/files for each page If false only one stream/file will be returned Default: false
    `int` | `getPageNumber()` Start conversion from `PageNumber` page
    `int` | `getSaveOptionsType()` Shows for which output document type are the options
    `boolean` | `getShowGridLines()` Show grid lines when converting Excel files
    `boolean` | `getShowHiddenSheets()` Show hidden sheets when converting Excel files
    `protected boolean` | `getUsePdf()` If `true`, the input firstly is converted to PDF and after that to desired format
    `WatermarkOptions` | `getWatermarkOptions()` Watermark specific options
    `protected Object` | `memberwiseClone()`
    `void` | `setConvertFileType(com.groupdocs.foundation.domain.FileType value)` The desired file type to which the input document should be converted to
    `void` | `setCustomName(String value)` If set it will be used as a name of the cached file
    `void` | `setHideWordComments(boolean value)` Hide comments in Word documents
    `void` | `setHideWordTrackedChanges(boolean value)` Hide markup and track changes for Word documents
    `void` | `setNumPagesToConvert(int value)` Number of pages to convert
    `void` | `setOutputType(int value)` Result type of the conversion - String or Stream default: Stream
    `void` | `setPageMode(boolean value)` If true the conversion result will be set of streams/files for each page If false only one stream/file will be returned Default: false
    `void` | `setPageNumber(int value)` Start conversion from `PageNumber` page
    `void` | `setShowGridLines(boolean value)` Show grid lines when converting Excel files
    `void` | `setShowHiddenSheets(boolean value)` Show hidden sheets when converting Excel files
    `protected void` | `setUsePdf(boolean value)` If `true`, the input firstly is converted to PDF and after that to desired format
    `void` | `setWatermarkOptions(WatermarkOptions value)` Watermark specific options

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SaveOptions

          public SaveOptions(int saveOptionsType)

      Create SaveOptions instance

      Parameters:
        `saveOptionsType` -

  - ### Method Detail

    - #### getSaveOptionsType

          public int getSaveOptionsType()

      Shows for which output document type are the options

      Returns:

    - #### getOutputType

          public int getOutputType()

      Result type of the conversion - String or Stream default: Stream

      Returns:

    - #### setOutputType

          public void setOutputType(int value)

      Result type of the conversion - String or Stream default: Stream

      Parameters:
        `value` -

    - #### getPageNumber

          public int getPageNumber()

      Start conversion from `PageNumber` page

      default is 1

      Returns:

    - #### setPageNumber

          public void setPageNumber(int value)

      Start conversion from `PageNumber` page

      default is 1

      Parameters:
        `value` -

    - #### getNumPagesToConvert

          public int getNumPagesToConvert()

      Number of pages to convert

      Returns:

    - #### setNumPagesToConvert

          public void setNumPagesToConvert(int value)

      Number of pages to convert

      Parameters:
        `value` -

    - #### getUsePdf

          protected boolean getUsePdf()

      If `true`, the input firstly is converted to PDF and after that to desired format

      Returns:

    - #### setUsePdf

          protected void setUsePdf(boolean value)

      If `true`, the input firstly is converted to PDF and after that to desired format

      Parameters:
        `value` -

    - #### getConvertFileType

          public com.groupdocs.foundation.domain.FileType getConvertFileType()

      The desired file type to which the input document should be converted to

      Returns:

    - #### setConvertFileType

          public void setConvertFileType(com.groupdocs.foundation.domain.FileType value)

      The desired file type to which the input document should be converted to

      Parameters:
        `value` -

    - #### getCustomName

          public String getCustomName()

      If set it will be used as a name of the cached file

      Returns:

    - #### setCustomName

          public void setCustomName(String value)

      If set it will be used as a name of the cached file

      Parameters:
        `value` -

    - #### getWatermarkOptions

          public WatermarkOptions getWatermarkOptions()

      Watermark specific options

      Returns:

    - #### setWatermarkOptions

          public void setWatermarkOptions(WatermarkOptions value)

      Watermark specific options

      Parameters:
        `value` -

    - #### getShowGridLines

          public boolean getShowGridLines()

      Show grid lines when converting Excel files

      Returns:

    - #### setShowGridLines

          public void setShowGridLines(boolean value)

      Show grid lines when converting Excel files

      Parameters:
        `value` -

    - #### getShowHiddenSheets

          public boolean getShowHiddenSheets()

      Show hidden sheets when converting Excel files

      Returns:

    - #### setShowHiddenSheets

          public void setShowHiddenSheets(boolean value)

      Show hidden sheets when converting Excel files

      Parameters:
        `value` -

    - #### getHideWordTrackedChanges

          public boolean getHideWordTrackedChanges()

      Hide markup and track changes for Word documents

      Returns:

    - #### setHideWordTrackedChanges

          public void setHideWordTrackedChanges(boolean value)

      Hide markup and track changes for Word documents

      Parameters:
        `value` -

    - #### getHideWordComments

          public boolean getHideWordComments()

      Hide comments in Word documents

      Returns:

    - #### setHideWordComments

          public void setHideWordComments(boolean value)

      Hide comments in Word documents

      Parameters:
        `value` -

    - #### getPageMode

          public boolean getPageMode()

      If true the conversion result will be set of streams/files for each page If false only one stream/file will be returned Default: false

      Returns:

    - #### setPageMode

          public void setPageMode(boolean value)

      If true the conversion result will be set of streams/files for each page If false only one stream/file will be returned Default: false

      Parameters:
        `value` -

    - #### deepClone

          public Object deepClone()

      Clone current instance

      Specified by:
        `deepClone` in interface `com.aspose.ms.System.ICloneable`
      Returns:

    - #### memberwiseClone

          protected Object memberwiseClone()

Copyright © 2017. All rights reserved.